
$(function () {

    $("#frmLogin, #frmResetPass").inputAlphanumForm();

    $.include_once('jquery.validate',function(){
        //Inicializamos la validación del formulario
        $("#frmLogin").validate({
            errorElement: 'div',
            errorClass: 'help-block',
            focusInvalid: true,
            highlight: function (e) {
                $(e).closest('.form-group').removeClass('has-info').removeClass('has-success').addClass('has-error');
            },
            success: function (e,el) {
                $(e).closest('.form-group').removeClass('has-error');//.addClass('has-info');
                $(e).remove();
            }
        });

        $('#frmResetPass').validate({
            errorElement: 'div',
            errorClass: 'help-block',
            focusInvalid: true,
            highlight: function (e) {
                $(e).closest('.form-group').removeClass('has-info').removeClass('has-success').addClass('has-error');
            },
            success: function (e,el) {
                $(e).closest('.form-group').removeClass('has-error');//.addClass('has-info');
                $(e).remove();
            },
            submitHandler:function(form){
                var username = $("#username").val();
                var email = $("#email").val();

                $.ajax({
                    type: 'POST',
                    dataType: 'json',
                    url: '{{ path('core_seguridad_login_forgot_pass') }}',
                    data: {
                        username: username,
                        email: email
                    },
                    beforeSend: function () {
                        $.processWait.show();
                    },
                    success: function (response) {
                        $.processWait.hide();
                        if(response.status){
                            if(response.message){
                                $.gritter.add({
                                    title: 'Información!',
                                    text: response.message,
                                    time:3000,
                                    class_name: 'gritter-success gritter-light'
                                });
                                setTimeout(function(){
                                    location.reload(true);
                                }, 1000);
                            }
                        }
                        else{
                            $.alert(response.message,'danger');
                        }
                    }
                });
            }
        });

    });

    $(document).on('click', '.toolbar a[data-target]', function (e) {
        e.preventDefault();
        var target = $(this).data('target');
        $('.widget-box.visible').removeClass('visible');//hide others
        $(target).addClass('visible');//show target
    });

});